E-MailRelay

Public Member Functions | Public Attributes | List of all members
GNet::SocketBase::SocketBindError Struct Reference

Exception class for GNet::SocketBase bind failures. More...

`#include <gsocket.h>`

Inheritance diagram for GNet::SocketBase::SocketBindError:
[legend]
Collaboration diagram for GNet::SocketBase::SocketBindError:
[legend]

## Public Member Functions
| SocketBindError (const std::string &s)
| SocketBindError (const Address &a, const std::string &s, bool e_in_use)

## Public Attributes
Address | m_address {Address::defaultAddress()}
std::string | m_reason
bool | m_einuse {false}

## Detailed Description

Exception class for GNet::SocketBase bind failures.

Definition at line 59 of file gsocket.h.

## Constructor & Destructor Documentation

## ◆ SocketBindError() [1/2]

GNet::Socket::SocketBindError::SocketBindError | ( | const std::string & | s | ) |
| inline explicit

Definition at line 504 of file gsocket.h.

## ◆ SocketBindError() [2/2]

GNet::Socket::SocketBindError::SocketBindError | ( | const Address & | a,
|  | const std::string & | s,
|  | bool | e_in_use
| ) |  |
| inline

Definition at line 505 of file gsocket.h.

## Member Data Documentation

## ◆ m_address

Address GNet::SocketBase::SocketBindError::m_address {Address::defaultAddress()}

Definition at line 63 of file gsocket.h.

## ◆ m_einuse

bool GNet::SocketBase::SocketBindError::m_einuse {false}

Definition at line 65 of file gsocket.h.

## ◆ m_reason

std::string GNet::SocketBase::SocketBindError::m_reason

Definition at line 64 of file gsocket.h.

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gnet/gsocket.h